#ifndef __HTTPSession_h__
#define __HTTPSession_h__

#include "ZString.h"
//#include "Variables.h"

namespace http {

   class HTTPSession {

    public:
      HTTPSession();
      HTTPSession(coreutils::ZString sessionId);

      coreutils::ZString getSessionId();

//      jet::Variables sessionVariables;
//      jet::Variables cgiFormVariables;

    private:
      int generateSessionId();;

      char sessionId[37];

   };

}

#endif
